Subject: Re: FVWM: WindowList doubleclick action: how does it work?

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 22 Jun 2001 10:56:53 +0000

On 21 Jun 2001 17:30:21 -0700, STEFFL, ERIK *Internet* (SBCSI) wrote:
> 
> > -----Original Message-----
> > From: Mikhael Goikhman [mailto:[email-masked]]
> > On 20 Jun 2001 09:15:08 -0700, Erik Steffl wrote:
> > >   using fvwm 2.2.5
> ...
> 
> > > 	Key Tab A M WindowList "Prev FlipFocus"
> ...
> > Well, this work as documented in both 2.2.5 and 2.3.32, i.e.  if the
> > key is pressed twice quickly, the focus is flipped between the two
> > last windows. But if you use SloppyFocus or MouseFocus, you may not
> > notice this, because the focus returns immediately to the current
> > window. Use ClickToFocus focusing model to see it straight. I will
> > update this man page sentence.
> 
>   you're right, just tested it with ClickToFocus (works).
> 
>   this is inconsistent with 'normal' behaviour of WindowList - when the
> window gets focus after it's picked from WindowList the mouse pointer is
> moved to upper left corner of the window (warp-ed?) - is there any way to
> cheive the same behavior using double click?

WindowList calls function WindowListFunc, which among other commands calls
WarpToWindow with parameters (see the man page unless you redefined it).
You may call your own function as a doucle click/double press action too.

Regards,
Mikhael.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].